Java 8

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Java 8

Stefan Podkowinski

Hi

 

Are there any plans to support Java 8 for Cassandra 2.0, now that Java 7 is EOL?

Currently Java 7 is also recommended for 2.1. Are there any reasons not to recommend Java 8 for 2.1?

 

Thanks,

Stefan

Reply | Threaded
Open this post in threaded view
|

Re: Java 8

Paulo Motta
The official recommendation is to run with Java7 (http://docs.datastax.com/en/cassandra/2.0/cassandra/install/installJREabout_c.html), mostly to play it safe I guess, however you can probably already run C* with Java8, since it has been stable for a while. We've been running with Java8 for several months now without any noticeable problem.

Regarding source compatibility, the official plan is compile with Java8 starting from version 3.0. You may find more information on this ticket: https://issues.apache.org/jira/browse/CASSANDRA-8168

2015-05-07 8:32 GMT-03:00 Stefan Podkowinski <[hidden email]>:

Hi

 

Are there any plans to support Java 8 for Cassandra 2.0, now that Java 7 is EOL?

Currently Java 7 is also recommended for 2.1. Are there any reasons not to recommend Java 8 for 2.1?

 

Thanks,

Stefan


Reply | Threaded
Open this post in threaded view
|

Re: Java 8

Paulo Motta
First link was broken (sorry), here is the correct link: http://docs.datastax.com/en/cassandra/2.0/cassandra/install/installJREJNAabout_c.html

2015-05-07 8:49 GMT-03:00 Paulo Motta <[hidden email]>:
The official recommendation is to run with Java7 (http://docs.datastax.com/en/cassandra/2.0/cassandra/install/installJREabout_c.html), mostly to play it safe I guess, however you can probably already run C* with Java8, since it has been stable for a while. We've been running with Java8 for several months now without any noticeable problem.

Regarding source compatibility, the official plan is compile with Java8 starting from version 3.0. You may find more information on this ticket: https://issues.apache.org/jira/browse/CASSANDRA-8168

2015-05-07 8:32 GMT-03:00 Stefan Podkowinski <[hidden email]>:

Hi

 

Are there any plans to support Java 8 for Cassandra 2.0, now that Java 7 is EOL?

Currently Java 7 is also recommended for 2.1. Are there any reasons not to recommend Java 8 for 2.1?

 

Thanks,

Stefan



Reply | Threaded
Open this post in threaded view
|

Re: Java 8

Ben Bromhead
DSE 4.6.5 supports Java 8 (http://docs.datastax.com/en/datastax_enterprise/4.6/datastax_enterprise/RNdse46.html?scroll=RNdse46__rel465) and DSE 4.6.5 is Cassandra 2.0.14 under the hood. 

I would go with 8

On 7 May 2015 at 04:51, Paulo Motta <[hidden email]> wrote:
First link was broken (sorry), here is the correct link: http://docs.datastax.com/en/cassandra/2.0/cassandra/install/installJREJNAabout_c.html

2015-05-07 8:49 GMT-03:00 Paulo Motta <[hidden email]>:

The official recommendation is to run with Java7 (http://docs.datastax.com/en/cassandra/2.0/cassandra/install/installJREabout_c.html), mostly to play it safe I guess, however you can probably already run C* with Java8, since it has been stable for a while. We've been running with Java8 for several months now without any noticeable problem.

Regarding source compatibility, the official plan is compile with Java8 starting from version 3.0. You may find more information on this ticket: https://issues.apache.org/jira/browse/CASSANDRA-8168

2015-05-07 8:32 GMT-03:00 Stefan Podkowinski <[hidden email]>:

Hi

 

Are there any plans to support Java 8 for Cassandra 2.0, now that Java 7 is EOL?

Currently Java 7 is also recommended for 2.1. Are there any reasons not to recommend Java 8 for 2.1?

 

Thanks,

Stefan






--

Ben Bromhead

Instaclustr | www.instaclustr.com | @instaclustr | (650) 284 9692